<?php
require __DIR__ . "/../vendor/autoload.php";
require __DIR__ . "/../vendor/zeedhi/framework/bootstrap.php";
require __DIR__ . "/../vendor/teknisa/libraries-next/scripts/bootstrap.php";

$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();

$instanceManager->loadFromFile(__DIR__ . "/db.xml");
$instanceManager->loadFromFile(__DIR__ . "/parameters.xml");
$instanceManager->loadFromFile(__DIR__ . "/environment.xml");
$instanceManager->loadFromFile(__DIR__ . "/services.xml");
$instanceManager->loadFromFile(__DIR__ . "/controllers.xml");


$container = $instanceManager->getContainer();

$routes = array();
$routes[] = __DIR__.'/routes.json';
$routes[] = __DIR__ . '/../vendor/teknisa/libraries-next/libRoutes.json';
$instanceManager->registerService('routeParser', new \Zeedhi\Framework\Routing\Parsers\JSONFormat($routes));

$instanceManager->compile();
