import { ZdPage } from '@zeedhi/vue';

const routes = [
  {
    path: '/auth/login',
    name: 'login',
    component: ZdPage,
    props: {
      path: 'login',
      local: true,
    },
  },
  {
    path: '/',
    name: 'home',
    component: ZdPage,
    props: () => ({
      path: 'home',
      local: true,
    }),
  },
  {
    path: '/modules/:module/:page',
    name: 'microservice',
    component: () => import('../views/Microservice.vue'),
  },
  {
    path: '/dih51500_ocorrencia_enteral_parenteral',
    name: 'ocorrenciaEnteralParenteral',
    component: ZdPage,
    props: () => ({
      path: '/parametrizacao/tabelas/dih51500_occurrence_enteral_parenteral',
      local: true,
    }),
  },
  {
    path: '*',
    component: ZdPage,
    props: {
      path: 'notfound',
      local: true,
    },
  },
  {
    path: '/dih52800_nivel_nutricional',
    name: 'nivelNutricional',
    component: ZdPage,
    props: () => ({
      path: '/parametrizacao/tabelas/dih52800_nivel_nutricional',
      local: true,
    }),
  },
  {
    path: '/dih31000_padrao_internacao',
    name: 'padraoDeInternacao',
    component: ZdPage,
    props: () => ({
      path: '/parametrizacao/tabelas/dih31000_padrao_internacao',
      local: true,
    }),
  },
];

export default routes;
